Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.ax25
Class ConnState

    java.lang.Object
      org.ka2ddo.ax25.ConnState

    public class ConnState

extends java.lang.Object

This class keeps track of the state of one AX.25 connection-oriented session.

Nested Class Summary
`static class` | `ConnState.ConnTransition` Transitional condition of the connection.
`static class` | `ConnState.ConnType` Enumeration specifying the different types of connection-oriented AX.25 sessions.

Method Summary
`ConnState.ConnType` | `getConnType()` Get the connection windowing type.
`AX25Callsign` | `getDst()` Get the callsign of the station that received this connection session.
`java.io.InputStream` | `getInputStream()` Get a Java-style InputStream associated with this connection.
`java.io.OutputStream` | `getOutputStream()` Get a Java-style OutputStream for writing to this connection.
`AX25Callsign` | `getSrc()` Get the callsign of the station that originated this connection session.
`boolean` | `isOpen()` Get the current state of this connection.
`void` | `setConnType(ConnState.ConnType connType)` Set the connection windowing type.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isOpen

    public boolean isOpen()

  Get the current state of this connection.

  Returns:
    boolean true if connection is up and operating

### getConnType

    public ConnState.ConnType getConnType()

  Get the connection windowing type.

  Returns:
    ConnType enum describing the sliding window mode

### setConnType

    public void setConnType(ConnState.ConnType connType)

  Set the connection windowing type.

  Parameters:
    `connType` - ConnType enum describing the sliding window mode

### getInputStream

    public java.io.InputStream getInputStream()

  Get a Java-style InputStream associated with this connection.

  Returns:
    InputStream for the connection

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Get a Java-style OutputStream for writing to this connection.

  Returns:
    OutputStream to this connection

### getSrc

    public AX25Callsign getSrc()

  Get the callsign of the station that originated this connection session.

  Returns:
    AX25Callsign of originating station

### getDst

    public AX25Callsign getDst()

  Get the callsign of the station that received this connection session.

  Returns:
    AX25Callsign of receiving station

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD